Project

Profile

Help

Maintenance. Planio will be undergoing a scheduled maintenance this weekend. Between Saturday, July 24 at 9:00 UTC and Sunday, July 25, 22:00 UTC your account might observe occasional downtimes which may last up to several minutes in some cases.

Task #9119

Fix django 3.2 deprecations

Added by daviddavis 2 days ago. Updated 1 day ago.

Status:
POST
Priority:
Normal
Assignee:
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 101
Quarter:

Description

ansible.CollectionImport.messages: (fields.W904) django.contrib.postgres.fields.JSONField is deprecated. Support for it (except in historical migrations) will be removed in Django 4.0.      
        HINT: Use django.db.models.JSONField instead.                                                                                                                                         
ansible.CollectionVersion.contents: (fields.W904) django.contrib.postgres.fields.JSONField is deprecated. Support for it (except in historical migrations) will be removed in Django 4.0.     
        HINT: Use django.db.models.JSONField instead.                                                                                                                                         
ansible.CollectionVersion.dependencies: (fields.W904) django.contrib.postgres.fields.JSONField is deprecated. Support for it (except in historical migrations) will be removed in Django 4.0. 
        HINT: Use django.db.models.JSONField instead.
ansible.CollectionVersion.docs_blob: (fields.W904) django.contrib.postgres.fields.JSONField is deprecated. Support for it (except in historical migrations) will be removed in Django 4.0.
        HINT: Use django.db.models.JSONField instead.
ansible.CollectionVersion.files: (fields.W904) django.contrib.postgres.fields.JSONField is deprecated. Support for it (except in historical migrations) will be removed in Django 4.0.
        HINT: Use django.db.models.JSONField instead.
ansible.CollectionVersion.manifest: (fields.W904) django.contrib.postgres.fields.JSONField is deprecated. Support for it (except in historical migrations) will be removed in Django 4.0.
        HINT: Use django.db.models.JSONField instead.

History

#1 Updated by daviddavis 2 days ago

  • Description updated (diff)

#2 Updated by pulpbot 2 days ago

  • Status changed from NEW to POST

#3 Updated by ipanova@redhat.com 1 day ago

  • Assignee set to daviddavis
  • Sprint set to Sprint 101

#4 Updated by ipanova@redhat.com 1 day ago

  • Assignee changed from daviddavis to fao89

Please register to edit this issue

Also available in: Atom PDF